/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { initOrganisationsEinheitenData } from './cypress-helper';
import { OrganisationsEinheitE2E } from './organisationseinheit';

const denkmalpflegeOrganisationseinheitFixture = require('../fixtures/organisationseinheit/denkmalpflege.json');
const bauamtOrganisationseinheitFixture = require('../fixtures/organisationseinheit/bauamt.json');
const fundstelleOrganisationseinheitFixture = require('../fixtures/organisationseinheit/fundstelle.json');

export function initOrganisationsEinheit(organisationsEinheiten: OrganisationsEinheitE2E): void {
  initOrganisationsEinheitenData([organisationsEinheiten]);
}

export function initOrganisationsEinheiten(organisationsEinheiten: OrganisationsEinheitE2E[]): void {
  initOrganisationsEinheitenData(organisationsEinheiten);
}

export function createBauamtOrganisationsEinheit(): OrganisationsEinheitE2E {
  return bauamtOrganisationseinheitFixture;
}

export function createFundstelleOrganisationsEinheit(): OrganisationsEinheitE2E {
  return fundstelleOrganisationseinheitFixture;
}

export function createDenkmalpflegeOrganisationsEinheit(): OrganisationsEinheitE2E {
  return denkmalpflegeOrganisationseinheitFixture;
}
