/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { Component, Input } from '@angular/core';
import { CommandOrder, CommandResource } from '@alfa-client/command-shared';

@Component({
  selector: 'alfa-historie-item-forwarding',
  templateUrl: './historie-item-forwarding.component.html',
  styleUrls: ['./historie-item-forwarding.component.scss'],
})
export class HistorieItemForwardingComponent {
  @Input() command: CommandResource;

  headline: string;

  get forwarding(): any {
    return this.command.body.item;
  }

  ngOnInit(): void {
    this.headline = HISTORIE_TEXT_BY_FORWARDING_ORDER[this.command.order];
  }
}

const HISTORIE_TEXT_BY_FORWARDING_ORDER: { [order: string]: string } = {
  [CommandOrder.REDIRECT_VORGANG]: 'den Vorgang weitergeleitet.',
  [CommandOrder.FORWARD_SUCCESSFULL]: 'die Weiterleitung bestätigt.',
  [CommandOrder.FORWARD_FAILED]: 'die Weiterleitung widerrufen.',
};
