/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MockComponent } from 'ng-mocks';
import { VorgangDetailBescheidenStepButtonsComponent } from './vorgang-detail-bescheiden-step-buttons/vorgang-detail-bescheiden-step-buttons.component';
import { VorgangDetailBescheidenStepsContentComponent } from './vorgang-detail-bescheiden-steps-content/vorgang-detail-bescheiden-steps-content.component';
import { VorgangDetailBescheidenStepsComponent } from './vorgang-detail-bescheiden-steps.component';
import { VorgangDetailBescheidenWeiterButtonComponent } from './vorgang-detail-bescheiden-weiter-button/vorgang-detail-bescheiden-weiter-button.component';

describe('VorgangDetailBescheidenStepsComponent', () => {
  let component: VorgangDetailBescheidenStepsComponent;
  let fixture: ComponentFixture<VorgangDetailBescheidenStepsComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        VorgangDetailBescheidenStepsComponent,
        MockComponent(VorgangDetailBescheidenStepButtonsComponent),
        MockComponent(VorgangDetailBescheidenWeiterButtonComponent),
        MockComponent(VorgangDetailBescheidenStepsContentComponent),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(VorgangDetailBescheidenStepsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('changeActiveStep', () => {
    it('should set activeStep', () => {
      const step: number = 1;

      component.changeActiveStep(step);

      expect(component.activeStep).toBe(step);
    });
  });
});
