/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { mock } from '@alfa-client/test-utils';
import { VorgangListService, VorgangView } from '@alfa-client/vorgang-shared';
import { MockComponent } from 'ng-mocks';
import { VorgangSearchViewItemContainerComponent } from './vorgang-search-view-item-container.component';
import { VorgangSearchViewItemComponent } from './vorgang-search-view-item/vorgang-search-view-item.component';

describe('VorgangSearchViewItemContainerComponent', () => {
  let component: VorgangSearchViewItemContainerComponent;
  let fixture: ComponentFixture<VorgangSearchViewItemContainerComponent>;

  const vorgangListService = mock(VorgangListService);

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        VorgangSearchViewItemContainerComponent,
        MockComponent(VorgangSearchViewItemComponent),
      ],
      providers: [
        {
          provide: VorgangListService,
          useValue: vorgangListService,
        },
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(VorgangSearchViewItemContainerComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('OnInit', () => {
    it('should call vorgangListService isVorgangViewSelected', () => {
      component.ngOnInit();

      expect(vorgangListService.isVorgangViewSelected).toHaveBeenCalledWith(VorgangView.SEARCH);
    });

    it('should call vorgangListService getVorgangViewRoutePath', () => {
      component.ngOnInit();

      expect(vorgangListService.getVorgangViewRoutePath).toHaveBeenCalledWith(VorgangView.SEARCH);
    });
  });
});
