/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { createStateResource } from '@alfa-client/tech-shared';
import { SpinnerComponent, SubnavigationComponent } from '@alfa-client/ui';
import { createWiedervorlageResource } from 'libs/wiedervorlage-shared/test/wiedervorlage';
import { MockComponent } from 'ng-mocks';
import { WiedervorlageStatusComponent } from '../../wiedervorlage-status/wiedervorlage-status.component';
import { WiedervorlageActionButtonsComponent } from './wiedervorlage-action-buttons/wiedervorlage-action-buttons.component';
import { WiedervorlageBreadcrumbContainerComponent } from './wiedervorlage-breadcrumb-container/wiedervorlage-breadcrumb-container.component';
import { WiedervorlageFormComponent } from './wiedervorlage-form/wiedervorlage-form.component';
import { WiedervorlagePageComponent } from './wiedervorlage-page.component';

describe('WiedervorlagePageComponent', () => {
  let component: WiedervorlagePageComponent;
  let fixture: ComponentFixture<WiedervorlagePageComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        WiedervorlagePageComponent,
        MockComponent(SubnavigationComponent),
        MockComponent(WiedervorlageActionButtonsComponent),
        MockComponent(WiedervorlageFormComponent),
        MockComponent(SpinnerComponent),
        MockComponent(WiedervorlageBreadcrumbContainerComponent),
        MockComponent(WiedervorlageStatusComponent),
      ],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(WiedervorlagePageComponent);
    component = fixture.componentInstance;
    component.wiedervorlageStateResource = createStateResource(createWiedervorlageResource());
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
