/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.vorgang;

import java.time.LocalDateTime;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.vorgang.vorgang.GrpcFindVorgangResponse;
import de.ozgcloud.vorgang.vorgang.GrpcVorgangHeader;

public class GrpcVorgangTestFactory {

	private static final int TOTAL = 100;

	private static final String ID = UUID.randomUUID().toString();
	private static final String NAME = LoremIpsum.getInstance().getWords(10);
	private static final String CREATED_AT = LocalDateTime.now().toString();
	private static final String STATUS = "NEU";
	private static final String NUMMER = "VorgangNummer123";

	public static GrpcFindVorgangResponse createVorgangResponse() {
		return createVorgangResponseBuilder().build();
	}

	private static GrpcFindVorgangResponse.Builder createVorgangResponseBuilder() {
		return GrpcFindVorgangResponse.newBuilder()
				.setTotal(TOTAL)
				.addVorgang(create());
	}

	private static GrpcVorgangHeader create() {
		return createBuilder().build();
	}

	private static GrpcVorgangHeader.Builder createBuilder() {
		return GrpcVorgangHeader.newBuilder()
				.setId(ID)
				.setName(NAME)
				.setNummer(NUMMER)
				.setCreatedAt(CREATED_AT)
				.setStatus(STATUS);
	}
}